FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202104030128.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202104030128.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=538ff7f OS_GIT_VERSION=4.7.0-202104030128.p0-538ff7f SOURCE_DATE_EPOCH=1612537900 SOURCE_GIT_COMMIT=538ff7fed284953731785c495cf286ea33d97f50 SOURCE_GIT_TAG=4.0.0-709-g538ff7fed SOURCE_GIT_URL=https://github.com/openshift/cluster-image-registry-operator 
WORKDIR /go/src/github.com/openshift/cluster-image-registry-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.7.0.20210403.020833
ENV __doozer=update BUILD_RELEASE=202104030128.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202104030128.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=538ff7f OS_GIT_VERSION=4.7.0-202104030128.p0-538ff7f SOURCE_DATE_EPOCH=1612537900 SOURCE_GIT_COMMIT=538ff7fed284953731785c495cf286ea33d97f50 SOURCE_GIT_TAG=4.0.0-709-g538ff7fed SOURCE_GIT_URL=https://github.com/openshift/cluster-image-registry-operator 
COPY images/bin/entrypoint.sh /usr/bin/
COPY manifests/image-references manifests/0* /manifests/
COPY vendor/github.com/openshift/api/imageregistry/v1/*-crd.yaml /manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-image-registry-operator/tmp/_output/bin/cluster-image-registry-operator /usr/bin/
RUN chmod -R g+w /etc/pki/ca-trust/extracted/pem/

ENTRYPOINT ["/usr/bin/entrypoint.sh"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-image-registry-operator" \
        com.redhat.component="ose-cluster-image-registry-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Image Registry" \
        release="202104030128.p0" \
        io.openshift.build.commit.id="538ff7fed284953731785c495cf286ea33d97f50" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-image-registry-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-image-registry-operator/commit/538ff7fed284953731785c495cf286ea33d97f50" \
        version="v4.7.0"

